ReferenceAutomationsRulesId

    Replace an automation draft with revision check

    Replace an automation draft with revision check - PUT /automations/rules/{id}. DocDealer REST API reference.

    PUT
    /automations/rules/{id}

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    id*string
    Formatuuid

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X PUT "https://example.com/automations/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "definition": {      "property1": null,      "property2": null    },    "expectedRevision": 0  }'
    {  "createdAt": "string",  "draft": {    "property1": null,    "property2": null  },  "draftRevision": 0,  "enabled": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "publishedRevision": 0,  "updatedAt": "string"}